> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a saved donor view



## OpenAPI

````yaml delete /admin/donor/view/{report_id}/{hysform_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donor/view/{report_id}/{hysform_id}:
    delete:
      tags:
        - Donors
      summary: Remove a saved donor view
      operationId: 6399e502ff04999aed0372e5e5d9e9ad
      parameters:
        - name: report_id
          in: path
          description: The id of the report
          required: true
          schema:
            type: integer
        - name: hysform_id
          in: path
          description: The id of the form
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successful
                type: object
        '404':
          description: Report not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Report not found
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````